Множественные уязвимости в libvorbis

Дата публикации:
30.07.2007
Дата изменения:
15.05.2008
Всего просмотров:
1140
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3106
CVE-2007-4065
CVE-2007-4029
CVE-2007-4066
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libvorbis 1.x
Уязвимые версии: libvorbis 1.1.2, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "_01inverse()" файла res.cres.c при обработке значений "blocksize_0" и "blocksize_1". Удаленный пользователь может перезаписать динамическую память и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных при обработке некорректных типов в функции "vorbis_info_clear()" файла info.c. Удаленный пользователь может произвести вызов произвольной функции.

3. Уязвимость существует из-за недостаточной обработки значений "blocksize" в функции "vorbis_dsp_clear()" в файле block.c. Удаленный пользователь может вызвать отказ в обслуживании приложения.

URL производителя: www.xiph.org/vorbis/

Решение: Установите последнюю версию 1.2.0 с сайта производителя.

или введите имя

CAPTCHA